Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226320 - Merge Review: psacct
Summary: Merge Review: psacct
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:43 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-23 12:19:43 UTC
mmaslano: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:43:35 UTC
Fedora Merge Review: psacct

http://cvs.fedora.redhat.com/viewcvs/devel/psacct/
Initial Owner: varekova@redhat.com

Comment 1 Marcela Mašláňová 2007-03-12 15:25:09 UTC
SRC
W: psacct no-url-tag
W: psacct strange-permission psacct.init 0775
W: psacct prereq-use /sbin/chkconfig /sbin/install-info
ARCH
W: psacct no-url-tag
W: psacct conffile-without-noreplace-flag /var/account/pacct
E: psacct non-readable /var/account/pacct 0600
W: psacct dangerous-command-in-%post mv

Replace buildroot.
Prereq  should be with post, pre, ...
Replace macro %{makeinstall}, if you can.
Defattr has 4 parametres.

mkdir -p $RPM_BUILD_ROOT{/sbin,%{_bindir},%{_mandir},%{_sbindir}}
Isn't $RPM_BUILD_ROOT/sbin the same as $RPM_BUILD_ROOT/%{_sbindir} ?

Comment 2 Paul Howarth 2007-03-12 16:21:10 UTC
(In reply to comment #1)
> Isn't $RPM_BUILD_ROOT/sbin the same as $RPM_BUILD_ROOT/%{_sbindir} ?

No:

$ rpm --eval '%{_sbindir}'
/usr/sbin


Comment 3 Ivana Varekova 2007-04-05 13:47:34 UTC
(In reply to comment #1)
> SRC
> W: psacct no-url-tag
- there is no upstream

> W: psacct strange-permission psacct.init 0775
- this could not be changed

> W: psacct prereq-use /sbin/chkconfig /sbin/install-info
- fixed

> W: psacct conffile-without-noreplace-flag /var/account/pacct
> E: psacct non-readable /var/account/pacct 0600
- this is not a problem

> W: psacct dangerous-command-in-%post mv
- this is not a problem
 
> Replace buildroot.
- fixed

> Replace macro %{makeinstall}, if you can.
- fixed

> Defattr has 4 parametres.
- fixed
 
> mkdir -p $RPM_BUILD_ROOT{/sbin,%{_bindir},%{_mandir},%{_sbindir}}
> Isn't $RPM_BUILD_ROOT/sbin the same as $RPM_BUILD_ROOT/%{_sbindir} ?
- no %{_sbindir} should be /usr/sbin directory

The fixed version is psacct-6.3.2-44.fc7.


Note You need to log in before you can comment on or make changes to this bug.